#cython: language_level=3

from .capi.obitaxonomy cimport ecotx_t, OBIDMS_taxonomy_p
from ._obidms cimport OBIDMS


cdef class OBI_Taxonomy :

    cdef str               _name
    cdef OBIDMS_taxonomy_p _pointer
    cdef OBIDMS            _dms
    
    cpdef write(self, str prefix)
    cpdef int add_taxon(self, str name, str rank_name, int parent_taxid, int min_taxid=*)
    cpdef close(self)

 
cdef class OBI_Taxon :

    cdef ecotx_t* _pointer
