#cython: language_level=3

from ..capi.obiview      cimport Obiview_p
from ..capi.obidmscolumn cimport OBIDMS_column_p


cdef extern from "obi_align.h" nogil:

    int obi_align_one_column(Obiview_p seq_view, 
                             OBIDMS_column_p seq_column, 
                             Obiview_p score_view, 
                             OBIDMS_column_p id1_column, 
                             OBIDMS_column_p id2_column, 
                             OBIDMS_column_p score_column, 
                             double threshold, 
                             bint normalize, 
                             int reference, 
                             bint similarity_mode)

